Page MenuHomePhabricator

Trigger names length
Closed, ResolvedPublic

Description

Change 375011 introduced triggers as a replacement for handling sequences in the code.

That change while syntactically correct has a few names which are too long for standard (unquoted) naming of objects.

I will rename triggers from:
&mw_prefix.[TABLENAME]_default_[FIELD_NAME]
to:
&mw_prefix.[TABLENAME]_seq_trg

This change prevents trigger names to overflow and also leaves more space for the optional prefix. Other that upgrade process which was broken before, this change should not have any effect on the functionality.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2017, 12:25 PM

Change 398452 had a related patch set uploaded (by Freakolowsky; owner: Freakolowsky):
[mediawiki/core@master] Trigger name changes

https://gerrit.wikimedia.org/r/398452

Change 398452 merged by jenkins-bot:
[mediawiki/core@master] Trigger name changes

https://gerrit.wikimedia.org/r/398452

Anomie closed this task as Resolved.Apr 11 2018, 2:06 PM

This looks like it was resolved with the parch merge back in December.

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:39 PM